{
  "title": "Bypass Censorship Version 2",
  "type": "object",
  "properties": {
    "version": {
      "title": "Version",
      "description": "Version number of the Bypass Censorship Extension schema in use",
      "type": "string"
    },
    "sites": {
      "title": "Sites",
      "type": "array",
      "items": {
        "$ref": "#/definitions/BC2Site"
      }
    }
  },
  "required": [
    "version",
    "sites"
  ],
  "definitions": {
    "BC2Alternative": {
      "title": "BC2Alternative",
      "type": "object",
      "properties": {
        "proto": {
          "title": "Proto",
          "type": "string"
        },
        "type": {
          "title": "Type",
          "type": "string"
        },
        "created_at": {
          "title": "Created At",
          "type": "string",
          "format": "date-time"
        },
        "updated_at": {
          "title": "Updated At",
          "type": "string",
          "format": "date-time"
        },
        "url": {
          "title": "Url",
          "type": "string"
        }
      },
      "required": [
        "proto",
        "type",
        "created_at",
        "updated_at",
        "url"
      ]
    },
    "BC2Site": {
      "title": "BC2Site",
      "type": "object",
      "properties": {
        "main_domain": {
          "title": "Main Domain",
          "description": "The main domain name of the website, excluding \"www.\" if present.",
          "examples": [
            "bbc.co.uk",
            "bbc.com",
            "guardianproject.info"
          ],
          "type": "string"
        },
        "available_alternatives": {
          "title": "Available Alternatives",
          "type": "array",
          "items": {
            "$ref": "#/definitions/BC2Alternative"
          }
        }
      },
      "required": [
        "main_domain",
        "available_alternatives"
      ]
    }
  }
}